Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 595708 - Handle rhts-* script crashes properly
Summary: Handle rhts-* script crashes properly
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Beaker
Classification: Retired
Component: beah
Version: 0.5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard: SimpleHarness
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 12:34 UTC by Marian Csontos
Modified: 2019-04-03 10:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 10:36:23 UTC


Attachments (Terms of Use)

Description Marian Csontos 2010-05-25 12:34:00 UTC
Description of problem:
When RHTS scripts crash as in [2] when running J:742 [1], Warning is set as a result. This should be considered more serious problem - I suggest Aborting the task.

Version-Release number of selected component (if applicable):
beah-0.6

How reproducible:
100%

Steps to Reproduce:
1. See [3]. Or do clone J:742 [1]
  
Actual results:
Warn is reported as a task's result

Expected results:
Fail or Panic

Additional info:

[1] https://beaker.engineering.redhat.com/jobs/742
[2] https://beaker.engineering.redhat.com/logs/2010/42/742/1349/9122/debug/task_output_stderr
[3] https://bugzilla.redhat.com/show_bug.cgi?id=543061

Comment 1 Nick Coghlan 2012-10-17 04:35:59 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 3 Jan Pazdziora 2017-10-18 08:47:08 UTC
I've cloned that https://beaker.engineering.redhat.com/jobs/742 as https://beaker.engineering.redhat.com/jobs/2100091 and things did not seem to crash. It does not resolve the issue of handling scripts that crash ... but I wonder if this issue has any chance of being addressed.

Comment 4 Tomas Klohna 🔧 2019-04-03 10:36:23 UTC
Closing the issue as it is not replicable. 
Also, better harness is available. Please use Restraint for your testing purposes. 

Feel free to reopen if you have the same issue with Restraint as well.


Note You need to log in before you can comment on or make changes to this bug.